@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;600;700;800;900&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Montserrat', sans-serif;
}

nav {
    position: fixed;
    top: 0;
    width: 100%;
    display: block;
    transition: top 0.3s;
    z-index: 50;
    height: 6rem;
    background-color: rgba(255, 255, 255, 0.9);
    backdrop-filter: blur(2px);
}

.top1 {
    margin-top: 1rem;
    display: flex;
}

.top1 span {
    position: relative;
    top: .8rem;
    margin: 0 1.2rem 0 1.2rem;
    display: block;
    height: 4px;
    width: 100%;
    background-color: black;
    border-radius: 10px;
}

.top2 {
    position: relative;
    top: -2.5rem;
    display: flex;
    justify-content: space-between;
}

.link1,
.link2 {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

.top2 a {
    text-transform: uppercase;
    text-decoration: none;
    font-weight: 700;
    font-size: large;
    letter-spacing: 1px;
    color: black;
    display: inline-block;
    padding: 5px 10px;
    position: relative;
}

.top2 a:after {
    background: none repeat scroll 0 0 transparent;
    bottom: 0;
    content: "";
    display: block;
    height: 2px;
    left: 50%;
    position: absolute;
    background: black;
    transition: width 0.3s ease 0s, left 0.3s ease 0s;
    width: 0;
}

.top2 a:hover {
    color: #EF1932;
    cursor: pointer;
}

.top2 a:hover:after {
    width: 100%;
    background: #EF1932;
    left: 0;
}

main {
    height: fit-content;
}

.s1 {
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

.pattern {
    width: 100%;
    object-fit: cover;
    height: 70%;
}

.hero_img,
.fifa {
    position: absolute;
    bottom: 1rem;
}

.fifa {
    left: 1rem;
}

.text {
    position: absolute;
    display: flex;
    flex-direction: column;
}

.forza {
    /* position: absolute; */
    font-weight: 900;
    font-size: 6vw;
    top: -3.5rem;
    color: #EF1932;
}

.portu {
    font-weight: 900;
    font-size: 16vw;
    text-align: center;
    margin-bottom: 5rem;
}

.s2 {
    height: fit-content;
    display: flex;
    flex-direction: column;
}

.t2,
.t3 {
    text-align: center;
    width: 100%;
    height: 25rem;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    position: relative;
}

.t2 span img {
    position: absolute;
    height: 20.5vh;
    width: 25vw;
    top: 4rem;
    left: 14rem;
}

.t3 span img {
    position: absolute;
    height: 20.5vh;
    width: 32vw;
    top: 11rem;
    right: 6rem;
}

.t2 p,
.t3 p {
    font-size: 6vw;
    font-weight: 900;
}




.container {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-auto-rows: 100px 300px;
    grid-gap: 10px;
    grid-auto-flow: dense;
}

.gallery-item {
    width: 100%;
    height: 100%;
    position: relative;
}

.gallery-item .image {
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.gallery-item .image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: 50% 50%;
    cursor: pointer;
    transition: .5s ease-in-out;
}

.gallery-item:hover .image img {
    transform: scale(1.2);
}

.gallery-item .text {
    opacity: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: #fff;
    font-size: 25px;
    pointer-events: none;
    z-index: 4;
    transition: .3s ease-in-out;
    -webkit-backdrop-filter: blur(5px) saturate(1.8);
    backdrop-filter: blur(5px) saturate(1.8);
}

.gallery-item:hover .text {
    opacity: 1;
    animation: move-down .3s linear;
    padding: 1em;
    width: 100%;
}

.w-1 {
    grid-column: span 1;
}

.w-2 {
    grid-column: span 2;
}

.w-3 {
    grid-column: span 3;
}

.w-4 {
    grid-column: span 4;
}

.w-5 {
    grid-column: span 5;
}

.w-6 {
    grid-column: span 6;
}

.h-1 {
    grid-row: span 1;
}

.h-2 {
    grid-row: span 2;
}

.h-3 {
    grid-row: span 3;
}

.h-4 {
    grid-row: span 4;
}

.h-5 {
    grid-row: span 5;
}

.h-6 {
    grid-row: span 6;
}

@media screen and (max-width:500px) {
    .container {
        grid-template-columns: repeat(1, 1fr);
    }

    .w-1,
    .w-2,
    .w-3,
    .w-4,
    .w-5,
    .w-6 {
        grid-column: span 1;
    }
}

@keyframes move-down {

    0% {
        top: 10%;
    }

    50% {
        top: 35%;
    }

    100% {
        top: 50%;
    }
}






.carousel {
    border-color: transparent;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 10px;
}

.carousel-cell {
    overflow: hidden;
    max-width: 90vw;
    min-width: 25vw;
    background-color: #EF1932;
    height: 35vh;
    border-radius: 15px;
    object-fit: contain;
}

.carousel-cell img {
    width: 100%;
    height: 100%;
}



/************************FOOTER**********************/
.footer {
    background-color: rgba(255, 255, 255, 0.9);
    backdrop-filter: blur(2px);
    padding: 20px 0px;
    text-align: center;
}

.footer .row {
    width: 100%;
    margin: 1% 0%;
    /* padding: 0.6% 0%; */
    color: rgb(0, 0, 0);
    font-size: 0.8em;
}

.footer .row a {
    text-decoration: none;
    color: rgb(0, 0, 0);
    transition: 0.5s;
    font-size: .9rem;
}

.footer .row a:hover {
    color: rgb(129, 129, 129);
}

.footer .row ul {
    width: 100%;
}

.footer .row ul li {
    display: inline-block;
    margin: 0px 30px;
}

.footer .row a i {
    font-size: 2.5em;
    margin: 0% 1%;
}

@media (max-width:720px) {
    .footer {
        text-align: left;
        padding: 5%;
    }

    .footer .row {
        padding: 0.8% 0%;
    }

    .footer .row ul li {
        display: block;
        margin: 10px 0px;
        text-align: left;
    }

    .footer .row a i {
        margin: 0% 3%;
    }

    .footer .row a i:nth-child(1) {
        margin-left: 0;
    }
}

/*******************Media Query**********************/

@media (width < 735px) {
    .top2 a {
        font-size: .7rem;
        padding: 5px 17px;
    }

    .logo {
        height: 3.5rem;
        width: 2.5rem;
    }

    .hero_img {
        height: 50vh;
    }

    .forza {
        font-size: 10vw;
        top: -2.5rem;
    }

    .fifa {
        bottom: .5rem;
    }

    .t2 p,
    .t3 p {
        font-size: 9vw;
    }

    .t2 span img {
        position: absolute;
        height: 12vh;
        width: 36vw;
        top: 7.5rem;
        left: 0rem;
        z-index: -1;
    }

    .t3 span img {
        position: absolute;
        height: 15vh;
        width: 50vw;
        top: 14.5rem;
        right: 12rem;
        z-index: -1;
    }
}

@media (width<430px) {
    .top2 {
        top: -1.5rem;
    }

    .hero_img {
        overflow: hidden;
        height: 35vh;
        bottom: 6rem;
    }

    .t2 span img {
        position: absolute;
        height: 9.5vh;
        width: 36vw;
        top: 8.9rem;
        left: 0rem;
        z-index: -1;
    }

    .t3 span img {
        position: absolute;
        height: 10vh;
        width: 55vw;
        top: 13rem;
        right: 5rem;
        z-index: -1;
    }
}
